/*********************************************************
menu.h
manage main menu
made by phrounz
*********************************************************/

#ifndef MENU_H
#define MENU_H

//Preload menu.
void menu_preload(IGUIFont *font_);

//Load menu.
void menu_load(void);

//Menu loop.
//Return false if loop must be ended.
bool menu_play(void);

//Draw text, etc ...
void menu_additionalDraw(void);

//Free menu stuff.
//Get if the following screen will be a main menu or the game.
int menu_clear(void);

//Return arguments to future Application execution.
//const char **menu_getArguments(const char *argv0);

//char *menu_getCommandLine(const char *argv0);

int menu_getSelectedLevel(void);

int menu_getSelectedLifes(void);

#endif /*MENU_H*/
